package com.younike.common.bean;


import java.io.Serializable;

/**
 * @author OldMa
 * @version 1.0.0
 * @ClassName ApiResultCode.java
 * @Description TODO
 * @createTime 2021年06月10日 13:45:00
 */
public class APIResult<T> extends BaseResult implements Serializable {

	private T result;



	public APIResult() {
	    // 返回code默认为Fail，True需手动设值
		super.code = ApiResultCode.Fail.getCode();
	}

	public APIResult(Integer code, String msg) {
		super.code = code;
		super.msg = msg;
	}

	public T getResult() {
		return result;
	}

	public void setResult(T result) {
		this.result = result;
	}

}
